Subject: Re: [PATCH 00/33] object id conversion (grep and diff)

From: Brandon Williams <[email-masked]>
Date: Fri, 2 Jun 2017 11:22:15 -0700

On 06/02, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Junio C Hamano <[email-masked]> writes:
> >
> >> Brandon Williams <[email-masked]> writes:
> >>
> >>> A month or so ago I thought I would lend a hand to Brian and do a round of
> >>> conversions from sha1 -> struct object_id.  Now that Brian's latest series has
> >>> hit master I can finally send these patches out.
> >>>
> >>> The first couple patches are from Brian which convert some of the notes logic
> >>> to using 'struct object_id'.  The remaining patches are to convert the grep and
> >>> diff machinery to using 'struct object_id'.
> >>
> >> Nicely done for all of them.  Thanks.  Will queue (with tweaks
> >> mentioned in the comments).
> >
> > Oops.  I won't be able to queue this for now as it heavily conflicts
> > with blame-lib topic.  The resolution should be trivial, mechanical
> > and boring, but takes time that I do not have today.
> 
> I lied.  This also conflicts somewhat with Peff's diff-blob topic.
> I think I resolved them correctly (there needs evil merges applied
> to two files when merging this topic), and hopefully can push out
> the result by the end of the day.
> 
> Thanks.

If it ends up being too much of a headache for you to deal with, let me
know and I can rebase on top of those series.  That way you don't have to
deal with the conflict resolutions.  Just let me know what you'd like me
to do.

-- 
Brandon Williams